Bug 821064 - Debug/devel only option turned on in .spec
Debug/devel only option turned on in .spec
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: blender (Show other bugs)
17
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Jochen Schmitt
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-11 14:04 EDT by Dan Eicher
Modified: 2013-08-01 13:14 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 13:14:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Eicher 2012-05-11 14:04:16 EDT
The cmake option WITH_PYTHON_SAFETY is an "only enable for development" setting.

Probably what was intended is to turn on WITH_PYTHON_SECURITY which is for the "malicious script auto-run" bug.
Comment 1 Jochen Schmitt 2012-06-13 14:52:07 EDT
Why is this an issue. I have set this option to avoid a security issue
relating of executing of python code from .blend files.

So it will be nice, if you can tell me the reason why you have create
this bug.
Comment 2 Dan Eicher 2012-06-13 20:36:24 EDT
(In reply to comment #1)
> Why is this an issue. I have set this option to avoid a security issue
> relating of executing of python code from .blend files.
> 
> So it will be nice, if you can tell me the reason why you have create
> this bug.

Which one of these is being set in blender.spec? (hint: the wrong one)

option(WITH_PYTHON_SECURITY "Disables execution of scripts within blend files by default (recommend to leave off)" OFF)

option(WITH_PYTHON_SAFETY "Enable internal API error checking to track invalid data to prevent crash on access (at the expense of some effeciency, only enable for development)." OFF)
Comment 3 Richard Shaw 2012-08-11 15:29:46 EDT
Jochen,

Dan appears to be right here. Would you like me to take care of it? I'm already fixing the spec for Python 3.3 as it currently fails to build.

Richard
Comment 4 Fedora End Of Life 2013-07-04 01:55:54 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-08-01 13:14:55 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.